Bug 179400 - print/freetype2: Add Infinality patches
Summary: print/freetype2: Add Infinality patches
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2013-06-07 13:30 UTC by otacilio.neto
Modified: 2018-01-14 13:56 UTC (History)
8 users (show)

See Also:


Attachments
file.txt (4.22 KB, text/plain)
2013-06-07 13:30 UTC, otacilio.neto
no flags Details
bohoomil patches for freetype-2.5.4 (2.04 KB, patch)
2014-12-13 04:52 UTC, Jan Beich
no flags Details | Diff
|poudriere testport| log (9.3R i386) INFINALITY=ON (125.56 KB, text/plain)
2014-12-13 04:55 UTC, Jan Beich
no flags Details
bohoomil patches for freetype-2.5.5 (1.84 KB, patch)
2015-01-13 14:25 UTC, Jan Beich
no flags Details | Diff
|poudriere testport -P| log (9.3R i386) INFINALITY=ON (124.92 KB, text/plain)
2015-01-13 14:26 UTC, Jan Beich
no flags Details
bohoomil patches for freetype-2.6.3 (1.58 KB, patch)
2016-03-09 02:53 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description otacilio.neto 2013-06-07 13:30:00 UTC
Added support to Infinality patches using a option.

Fix: Patch attached with submission follows:
Comment 1 Raphael Kubo da Costa freebsd_committer 2013-06-07 22:00:53 UTC
State Changed
From-To: open->feedback

Retitle and assign to maintainer. 


Comment 2 Raphael Kubo da Costa freebsd_committer 2013-06-07 22:00:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Retitle and assign to maintainer.
Comment 3 Carlo Strub freebsd_committer 2014-09-14 10:31:12 UTC
Is this PR still relevant?
Comment 4 Otacílio de Araújo Ramos Neto 2014-09-14 19:13:28 UTC
No, this patch is too old. Don't work on latest versions of freetype2.
Comment 5 Jan Beich freebsd_committer 2014-12-13 04:52:23 UTC
Created attachment 150524 [details]
bohoomil patches for freetype-2.5.4

Leaving out infinality-settings.sh as it's just a sample config. XFT_SETTINGS aren't even specific to Infinality.
Comment 6 Jan Beich freebsd_committer 2014-12-13 04:55:07 UTC
Created attachment 150525 [details]
|poudriere testport| log (9.3R i386) INFINALITY=ON
Comment 7 Jan Beich freebsd_committer 2014-12-13 05:04:55 UTC
Re-open for current version. Leaving attachment 134694 [details] not obsoleted to compare with my slightly different approach.
Comment 8 Jan Beich freebsd_committer 2015-01-13 14:14:17 UTC
Koop Mast <kwm@FreeBSD.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |kwm@FreeBSD.org
             Status|Open                        |In Progress

--- Comment #8 from Koop Mast <kwm@FreeBSD.org> ---
I'm not really convinced yet about adding these patches.

But where did the new patches come from? http://www.infinality.net hasn't been
updated since mid 2013. I'm worried that without a active upstream the patches
will rot.
Comment 9 Jan Beich freebsd_committer 2015-01-13 14:25:12 UTC
Created attachment 151563 [details]
bohoomil patches for freetype-2.5.5

A user from Infinality forum keeps the patches up to date. However, the enhancements aren't about freetype alone.

http://bohoomil.com/archives/
Comment 10 Jan Beich freebsd_committer 2015-01-13 14:26:30 UTC
Created attachment 151564 [details]
|poudriere testport -P| log (9.3R i386) INFINALITY=ON
Comment 11 Jan Beich freebsd_committer 2016-03-09 02:53:43 UTC
Created attachment 167887 [details]
bohoomil patches for freetype-2.6.3
Comment 12 Yuri Victorovich freebsd_committer 2016-07-13 20:07:47 UTC
This port only adds an option that isn't enabled by default.
How can committing it can hurt anyone?

I think, even if there is doubt, it is better to have this option committed so it becomes available for those who are willing to try it, until a better solution comes along.
Comment 13 mail_me 2016-08-29 19:21:10 UTC
I've modified the infinality patchset to make it work with FT 2.6.5.
However
this conflicts with PR 211201 as infinality can only be used with the
older v35/v38 interpreter.

Here's the patch:
https://github.com/archfan/infinality_bundle/blob/master/01_freetype2-iu/0002-infinality-2.6.5-2016.08.18.patch
Comment 14 w.schwarzenfeld freebsd_triage 2018-01-12 01:12:04 UTC
Maintainer feedback please!
Comment 15 Jan Beich freebsd_committer 2018-01-14 13:56:32 UTC
Obsoleted by V38 port option since ports r435690.